Bug 1336436 - Failed system upgrade doesn't show any useful details
Summary: Failed system upgrade doesn't show any useful details
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 13:05 UTC by Petr Schindler
Modified: 2016-12-20 20:31 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-20 20:31:28 UTC


Attachments (Terms of Use)

Description Petr Schindler 2016-05-16 13:05:57 UTC
Description of problem:
I tried to upgrade the system following steps in 
http://fedoraproject.org/wiki/QA:Testcase_Workstation_Graphical_Upgrade test case. I clicked button for downloading packages. After while I looked on it and there was message "Sorry, this did not work". When I clicked on show details no text appeared.

I looked to journal and it seems that g-s couldn't download some package. It would be useful if some message about problem would be given to user.

(gnome-software:1942): Gs-WARNING **: failed to call gs_plugin_app_upgrade_download on packagekit-upgrade: cannot download Packages/p/perl-Pod-Escapes-1.07-349.fc24.noarch.rpm to /var/cache/PackageKit/24/metadata/fedora/packages/: Status code: 503 for https://mirrors.fedoraproject.org/metalink?repo=fedora-24&arch=x86_64
(gnome-software:1942): Gs-WARNING **: failed to upgrade-download: no plugin could handle gs_plugin_app_upgrade_download

Version-Release number of selected component (if applicable):
gnome-software-3.20.3-0.191.20160425git.fc23.x86_64
libhif-0.2.3-0.145.20160427git.fc23.x86_64
PackageKit-1.1.1-1.fc23.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 cornel panceac 2016-06-21 12:52:54 UTC
Seems to be improved:

Detailed errors from the package manager follow:

cannot download Packages/s/seahorse-3.20.0-1.fc24.x86_64.rpm to /var/cache/PackageKit/24/metadata/fedora/packages/: Curl error (35): SSL connect error for https://mirrors.fedoraproject.org/metalink?repo=fedora-24&arch=x86_64 [Encountered end of file]

$ rpm -q gnome-software
gnome-software-3.20.3-1.fc23.1.x86_64

Comment 2 Kalev Lember 2016-06-21 14:32:32 UTC
Yup, this should be fixed with latest builds, I forgot to update the bug status.

Comment 3 Fedora End Of Life 2016-11-25 09:03:14 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 20:31:28 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.